package tech.nevets.util;

import java.lang.reflect.Array;

@SuppressWarnings("unchecked")
public class CastUtils<T> {
    private Class<T> clazz;

    public CastUtils(Class<T> clazz) {
        this.clazz = clazz;
    }

    public T[] castArray(Object[] array) {
        T[] newArray = (T[]) Array.newInstance(clazz, array.length);
        for (int i = 0; i < array.length; i++) {
            newArray[i] = (T) array[i];
        }
        return newArray;
    }

    public T castObject(Object obj) {
        return (T) obj;
    }
}
