package tech.nevets.util;

import java.util.Random;
import java.util.concurrent.ThreadLocalRandom;

public class Die {
    private final int sides;
    private final Random r;

    public Die(int sides) {
        this.sides = sides;
        r = ThreadLocalRandom.current();
    }

    public int roll() {
        return (r.nextInt(sides - 1) + 1);
    }

    public int getSides() {
        return sides;
    }
}