package tech.nevets.util;

public class Employee {
    private final int employeeId;
    private final String employeeFirstName;
    private final String employeeLastName;
    private int employeeHours;

    public Employee(int employeeId, String employeeFirstName, String employeeLastName) {
        this.employeeId = employeeId;
        this.employeeFirstName = employeeFirstName;
        this.employeeLastName = employeeLastName;
        employeeHours = 0;
    }

    public int getEmployeeId() {
        return employeeId;
    }

    public String getEmployeeFirstName() {
        return employeeFirstName;
    }

    public String getEmployeeLastName() {
        return employeeLastName;
    }

    public int getEmployeeHours() {
        return employeeHours;
    }

    public void addHours(int hours) {
        employeeHours += hours;
    }

    @Override
    public String toString() {
        return "{ \"employeeId\":" + employeeId + ", \"employeeFirstName\":\"" + employeeFirstName + "\", \"employeeLastName\":\"" + employeeLastName + "\", \"employeeHours\":" + employeeHours + " }";
    }
}
